package com.qmth.teachcloud.mark.dto;

import java.util.List;
import java.util.Map;

public class ScanOmrTaskPageDto {

    private Integer index;

    private String uri;

    private List<Boolean> absent;

    private List<Boolean> breach;

    private List<String> paperType;

    private Map<Integer, List<String>> question;

    private Map<Integer, List<String>> selective;
    
    private String recogData;

    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }

    public String getUri() {
        return uri;
    }

    public void setUri(String uri) {
        this.uri = uri;
    }

    public List<Boolean> getAbsent() {
        return absent;
    }

    public void setAbsent(List<Boolean> absent) {
        this.absent = absent;
    }

    public List<Boolean> getBreach() {
        return breach;
    }

    public void setBreach(List<Boolean> breach) {
        this.breach = breach;
    }

    public List<String> getPaperType() {
        return paperType;
    }

    public void setPaperType(List<String> paperType) {
        this.paperType = paperType;
    }

    public Map<Integer, List<String>> getQuestion() {
        return question;
    }

    public void setQuestion(Map<Integer, List<String>> question) {
        this.question = question;
    }

    public Map<Integer, List<String>> getSelective() {
        return selective;
    }

    public void setSelective(Map<Integer, List<String>> selective) {
        this.selective = selective;
    }

	public String getRecogData() {
		return recogData;
	}

	public void setRecogData(String recogData) {
		this.recogData = recogData;
	}
    
    
}
